language: cn
model_unique_abbr: functional_semantic_clustering
version: 1.0
identification:
  docker_image_name: functional_semantic_clustering:1.0
  model_name: 顾及功能语义特征的地理空间对象聚类
  semantic: point clustering
  description: 顾及功能语义特征的地理空间对象聚类是一种能够识别空间邻近且功能语义一致的地理空间对象的模型算法。
  category_application: 描述型
  category_data:
    - 点数据分析
  keywords:
    - 空间分布模式
    - 功能语义特征
    - 最小生成树
    - 地图综合

parameter_info:
  parameters:
    - arg_name: shp_input
      is_single_en_dash: false
      param_type: input_data
      name: 空间点数据
      description: "待检测的的空间点矢量数据, 格式为shp"
      data_type: shp
      data_semantic: cluster_data

    - arg_name: attr_input
      is_single_en_dash: false
      param_type: input_data
      name: 非空间属性文件
      description: "非空间属性,每行与空间点矢量数据的每行一一对应。格式为csv，有列名，一列代表一个属性。如a、b、c等。"
      data_type: csv
      data_semantic: non-spatial attribute data file

    - arg_name: output
      is_single_en_dash: false
      param_type: output_data
      name: 聚类结果
      description: "带有簇标签的聚类结果，保存为shp。新增列名默认为label"
      data_type: shapefile
      data_semantic: cluster_result

application:
  domain: 基于最小生成树的地理对象非空间属性与空间属性聚类方法
  objective: 根据地理对象的空间分布模式和空间邻近关系,顾及地理对象的功能语义进行聚类
  dimension:
    - 二维
  mechanism: 该方法首先地理对象的空间位置邻近性约束进行聚类,获得地理对象的空间分布模式和它们之间的空间邻近关系;然后,根据其功能语义相似性约束进行分割,获得初步聚类结果;最后,考虑簇内相似性与簇间差异性进行整体优化,获得最终聚类结果.
operation:
  usage: "该算法需要3个参数,点shapefile路径,属性csv路径,结果shapefile保存路径。"
  exec_example:
    - docker run -v $(pwd):/data functional_semantic_clustering:1.0 --input /data/building_pt_prj.shp --input /data/attrs.csv --output /data/mst_result.shp
  output_display:
    - "在原本的点数据了新增label列，可以根据label列的值进行聚类展示。"
technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer: Zhilong Liu
  organization: Central South University
  contact: 235011045@csu.edu.cn
  references:
    - "刘慧敏,胡文柯,唐建波等.顾及功能语义特征的建筑物空间分布模式识别方法[J].测绘学报,2020,49(05):622-631."
